package info.knacki.pass.git.entities;

public interface GitPackable {
    enum eType {
        eType_Commit,
        eType_Tree,
        eType_Blob,
        eType_Tag,
        eType_OfsDelta,
        eType_RefDelta
    }

    eType GetPackableType();
    byte[] GetPack();
}
